it-swarm-pt.tech

Erro ao atualizar de 2.9.2 para 3.0.1

Eu tenho o meu wordpress instalar em svn. Eu estava na versão 2.9.2. Estes foram os passos que dei:

  • salvou uma cópia do meu diretório atual do wordpress
  • cd no meu diretório wordpress de nível superior
  • svn up (apenas para ter certeza de que tenho o mais recente de 2.9)
  • svn sw http://core.svn.wordpress.org/tags/3.0.1/ . (upgrade)
  • execute o wp-admin/upgrade.php
  • tenho este erro "Erro fatal: Chame a função indefinida is_multisite () em (meu diretório de instalação) /wordpress/wp-includes/wp-db.php na linha 505"

Eu olhei em volta e algumas pessoas acham que é um problema de memória com o PHP. Então eu tentei o plugin Memory Bump e isso não funcionou.

Alguma ideia?

Update: Encontrado este post . Baixei o tar 3.0 mais recente e substituí meu wp-settings.php pelo do download.

Obtenha diferentes erros agora. "Erro fatal: não é possível redeclarar o wp_load_image () (anteriormente declarado em /myinstalldir/wordpress/wp-includes/media.php:241) em/ myinstalldir /wordpress/wp-admin/includes/image.php on line 168 "

Quando eu executo e svn status vejo muitos sinalizadores 'S' (comutados). Eu tenho que me preocupar com isso? wp-settings.php tem esse sinalizador.

Update: Aqui está a saída do svn sw acima do diretório raiz do Wordpress.

Update: Saída de svn staqui . (Migrou as longas listagens para o Pastebin)

Atualização: Saída de svn info

Path: .
URL: http://core.svn.wordpress.org/tags/3.0.1
Repository Root: http://core.svn.wordpress.org
Repository UUID: 1a063a9b-81f0-0310-95a4-ce76da25c4cd
Revision: 15559
Node Kind: directory
Schedule: normal
Last Changed Author: ryan
Last Changed Rev: 13165
Last Changed Date: 2010-02-15 09:38:59 -0800 (Mon, 15 Feb 2010)
1
milesmeow

Eu também usei o SVN antes para atualizar minha instalação do wordpress. Até o trabalho copiado vai ficar confuso muito rapidamente com todas as atualizações manuais ou arquivos criados por plugins.

Eu sempre recomendo usar a funcionalidade de atualização do wordpress se você quiser apenas passar de uma versão marcada para outra.

Embora, eu também use SVN para uma cópia local do wordpress para poder testar rapidamente meus plugins em alguma versão antiga bem rápido. Eu uso o Eclipse para mudar de um para outro tag e até agora funcionou. Mas você nunca saberá.

UPDATE: Eu apenas tentei mudar um checkout limpo de 2.9.2 para 3.0.1 que parece que está funcionando, mas eu só consigo ver o backend e não o frontend do blog único padrão.

UPDATE: O que até mesmo o modo de depuração não me diz: Como o padrão pre WP 3.0 não está mais disponível Eu só tenho que mudar para o novo tema "2010". Agora tudo está funcionando.

Então, a mudança funciona, mas como eu disse antes, sua cópia de trabalho normalmente fica confusa com muitos arquivos que podem causar alguns problemas na atualização de sua cópia WP com o comutador SVN.

2
2ndkauboy

Parece que você executou o svn sw em um subdiretório, em vez do diretório do WordPress de nível superior. Podemos ajudá-lo a recuperar, se você não puder simplesmente fazer o check-out de uma cópia limpa e passar adiante seus plug-ins e temas. A saída completa de svn st seria útil, assim como svn info para qualquer diretório que possa ter sido alternado independente de seu pai.

0
Annika Backstrom